Tryton - Issues

 

Issue8115

Title SIGABRT when selecting model on reference field with keyboard
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type crash Components tryton
Assigned To ced Keywords review
Reviews 46781002
View: 46781002

Created on 2019-02-14.13:03:42 by ced, last changed by roundup-bot.

Messages
New changeset 8e7462760c7c by Cédric Krier in branch '5.0':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/8e7462760c7c

New changeset cfd1ef0ffe27 by Cédric Krier in branch '4.8':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/cfd1ef0ffe27

New changeset 22e078e817a2 by Cédric Krier in branch '4.6':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/22e078e817a2

New changeset 13fe3e791ac7 by Cédric Krier in branch '4.4':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/13fe3e791ac7

New changeset 28554d998695 by Cédric Krier in branch '4.2':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/28554d998695
New changeset e5a3b182b37f by Cédric Krier in branch 'default':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton-env/rev/e5a3b182b37f
New changeset dcb400550f63 by Cédric Krier in branch 'default':
Use idle_add to set active on combobox from match selected of dropdown
https://hg.tryton.org/tryton/rev/dcb400550f63
review46781002 updated at https://codereview.tryton.org/46781002/#ps1
msg47038 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-14.13:03:41
When selecting the model on a reference field using the completion and keyboard (only this way, not with the mouse or the dropdown), I got this traceback:


#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007ffff734b051 in __GI_abort () at abort.c:79
#2  0x00007ffff7390087 in __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7ffff74a374d "%s\n") at ../sysdeps/posix/libc_fatal.c:181
#3  0x00007ffff7397dd8 in malloc_printerr (str=str@entry=0x7ffff74a56c8 "malloc(): smallbin double linked list corrupted") at malloc.c:5350
#4  0x00007ffff739b3dc in _int_malloc (av=av@entry=0x7ffff76d5c40 <main_arena>, bytes=bytes@entry=24) at malloc.c:3648
#5  0x00007ffff739cc6d in __GI___libc_malloc (bytes=24) at malloc.c:3065
#6  0x00007ffff123c086 in append_pending_request (dpy=dpy@entry=0x5555559ca400, sequence=sequence@entry=16648) at /var/tmp/portage/x11-libs/libX11-1.6.7/work/libX11-1.6.7/src/xcb_io.c:136
#7  0x00007ffff123c647 in _XSend (dpy=0x5555559ca400, data=data@entry=0x0, size=size@entry=0) at /var/tmp/portage/x11-libs/libX11-1.6.7/work/libX11-1.6.7/src/xcb_io.c:479
#8  0x00007ffff123c819 in _XEventsQueued (dpy=dpy@entry=0x5555559ca400, mode=mode@entry=2) at /var/tmp/portage/x11-libs/libX11-1.6.7/work/libX11-1.6.7/src/xcb_io.c:353
#9  0x00007ffff122e32d in XPending (dpy=0x5555559ca400) at /var/tmp/portage/x11-libs/libX11-1.6.7/work/libX11-1.6.7/src/Pending.c:55
#10 0x00007ffff2d64ffe in gdk_check_xpending (display=0x5555559d70d0) at /usr/src/debug/x11-libs/gtk+-3.24.1/gtk+-3.24.1/gdk/x11/gdkeventsource.c:269
#11 gdk_event_source_prepare (source=<optimized out>, timeout=timeout@entry=0x7fffffffd1d4) at /usr/src/debug/x11-libs/gtk+-3.24.1/gtk+-3.24.1/gdk/x11/gdkeventsource.c:287
#12 0x00007ffff5d8c738 in g_main_context_prepare (context=context@entry=0x5555559f7480, priority=priority@entry=0x7fffffffd260) at /var/tmp/portage/dev-libs/glib-2.56.4/work/glib-2.56.4/glib/gmain.c:3474
#13 0x00007ffff5d8d10b in g_main_context_iterate (context=context@entry=0x5555559f7480, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.56.4/work/glib-2.56.4/glib/gmain.c:3882
#14 0x00007ffff5d8d2ec in g_main_context_iteration (context=context@entry=0x5555559f7480, may_block=may_block@entry=1) at /var/tmp/portage/dev-libs/glib-2.56.4/work/glib-2.56.4/glib/gmain.c:3963
#15 0x00007ffff5637b5d in g_application_run (application=0x555555a025d0, argc=<optimized out>, argv=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.56.4/work/glib-2.56.4/gio/gapplication.c:2470
#16 0x00007ffff5b3df6e in ffi_call_unix64 () at /var/tmp/portage/dev-libs/libffi-3.2.1/work/libffi-3.2.1/src/x86/unix64.S:76
#17 0x00007ffff5b3d8df in ffi_call (cif=cif@entry=0x555555ee5fa8, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x7fffffffd488, avalue=<optimized out>)
    at /var/tmp/portage/dev-libs/libffi-3.2.1/work/libffi-3.2.1/src/x86/ffi64.c:525
#18 0x00007ffff6527e7f in pygi_invoke_c_callable (function_cache=0x555555ee5f00, state=<optimized out>, py_args=<optimized out>, py_kwargs=<optimized out>) at pygi-invoke.c:691
#19 0x00007ffff6529b48 in pygi_function_cache_invoke (function_cache=<optimized out>, py_args=<optimized out>, py_kwargs=<optimized out>) at pygi-cache.c:863
#20 0x00007ffff7968378 in PyObject_Call (func=<gi.FunctionInfo at remote 0x7ffff39e5bc8>, args=<optimized out>, kwargs=<optimized out>) at Objects/abstract.c:2261
#21 0x00007ffff7a26932 in do_call_core (kwdict={}, 
    callargs=(<Main(_shortcuts=None, window=<ApplicationWindow at remote 0x7fffe8d25870>, header=<HeaderBar at remote 0x7fffe8d25948>, menu_favorite=<Menu at remote 0x7fffe8d2b5e8>, global_search_entry=<Entry at remote 0x7fffe8d2b6c0>, accel_group=<AccelGroup at remote 0x7fffe8d2b828>, tooltips=<Tooltips at remote 0x7ffff6ae76d8>, vbox=<VBox at remote 0x7fffe8d2b7e0>, buttons={}, info=<VBox at remote 0x7fffe8d2b870>, pane=<HPaned at remote 0x7fffe8d2b8b8>, menu_screen=<Screen(limit=None, offset=0, _SignalEvent__connects={}, readonly=True, search_count=12, row_activate=<method at remote 0x7fffe8d42a08>, domain=[['parent', '=', None]], context_domain=None, size_limit=None, views_preload={}, model_name='ir.ui.menu', views=[<ViewTree(screen=<...>, fields={}, attributes={'keyword_open': '1', 'tree_state': '1'}, view_type='tree', widgets={'name': [<Char(attrs={'name': 'name', 'icon': 'icon', 'expand': True, 'widget': 'char', 'domain': '[["name", "not like", "% / %"]]', 'string': 'Menu', 'context': '{}', 'autocomplete': [], 'tra...(truncated), func=<gi.FunctionInfo at remote 0x7ffff39e5bc8>) at Python/ceval.c:5093
#22 _PyEval_EvalFrameDefault (f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3391
#23 0x00007ffff7a22886 in _PyEval_EvalCodeWithName (_co=<code at remote 0x7ffff6767540>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x555555db1c28, kwcount=0, kwstep=1, 
    defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='run', qualname='Application.run') at Python/ceval.c:4153
#24 0x00007ffff7a22a2f in fast_function (func=<optimized out>, stack=<optimized out>, nargs=<optimized out>, kwnames=<optimized out>) at Python/ceval.c:4965
#25 0x00007ffff7a22c35 in call_function (pp_stack=pp_stack@entry=0x7fffffffd908, oparg=<optimized out>, kwnames=kwnames@entry=0x0) at Python/ceval.c:4845
#26 0x00007ffff7a25907 in _PyEval_EvalFrameDefault (f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3322
#27 0x00007ffff7a21e9f in _PyFunction_FastCall (co=<optimized out>, args=<optimized out>, nargs=0, globals=<optimized out>) at Python/ceval.c:4906
#28 0x00007ffff7a22af6 in fast_function (func=<optimized out>, stack=<optimized out>, nargs=<optimized out>, kwnames=<optimized out>) at Python/ceval.c:4948
#29 0x00007ffff7a22c35 in call_function (pp_stack=pp_stack@entry=0x7fffffffdaa8, oparg=<optimized out>, kwnames=kwnames@entry=0x0) at Python/ceval.c:4845
#30 0x00007ffff7a25907 in _PyEval_EvalFrameDefault (f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3322
#31 0x00007ffff7a22886 in _PyEval_EvalCodeWithName (_co=_co@entry=<code at remote 0x7ffff6aa6930>, 
    globals=globals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, 
    locals=locals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, args=args@entry=0x0, argcount=argcount@entry=0, kwnames=kwnames@entry=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4153
#32 0x00007ffff7a22dde in PyEval_EvalCodeEx (_co=_co@entry=<code at remote 0x7ffff6aa6930>, 
    globals=globals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, 
    locals=locals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, args=args@entry=0x0, argcount=argcount@entry=0, kws=kws@entry=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4174
#33 0x00007ffff7a22e0b in PyEval_EvalCode (co=co@entry=<code at remote 0x7ffff6aa6930>, 
    globals=globals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, 
    locals=locals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}) at Python/ceval.c:730
#34 0x00007ffff7a4be00 in run_mod (mod=mod@entry=0x555555817450, filename=filename@entry='bin/tryton', 
    globals=globals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, 
    locals=locals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, flags=flags@entry=0x7fffffffddec, arena=arena@entry=0x7ffff6b45270) at Python/pythonrun.c:1025
#35 0x00007ffff7a4e1e1 in PyRun_FileExFlags (fp=fp@entry=0x5555557ed450, filename_str=filename_str@entry=0x7ffff69fcaa0 "bin/tryton", start=start@entry=257, 
    globals=globals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, 
    locals=locals@entry={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='bin/tryton') at remote 0x7ffff6ae77f0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7ffff7e35638>, '__file__': 'bin/tryton', '__cached__': None, 'sys': <module at remote 0x7ffff6b39ef8>, 'os': <module at remote 0x7ffff6ae8ea8>, 'DIR': '/home/ced/Projects/trunk/tryton-env/tryton/tryton', 'main': <function at remote 0x7fffec91b488>}, closeit=closeit@entry=1, flags=0x7fffffffddec) at Python/pythonrun.c:978
#36 0x00007ffff7a4e32f in PyRun_SimpleFileExFlags (fp=fp@entry=0x5555557ed450, filename=<optimized out>, closeit=closeit@entry=1, flags=flags@entry=0x7fffffffddec) at Python/pythonrun.c:420
#37 0x00007ffff7a4e723 in PyRun_AnyFileExFlags (fp=fp@entry=0x5555557ed450, filename=<optimized out>, closeit=closeit@entry=1, flags=flags@entry=0x7fffffffddec) at Python/pythonrun.c:81
#38 0x00007ffff7a64bfe in run_file (p_cf=0x7fffffffddec, filename=0x5555557586b0 L"bin/tryton", fp=0x5555557ed450) at Modules/main.c:340
#39 Py_Main (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:810
#40 0x0000555555554b50 in main (argc=2, argv=<optimized out>) at ./Programs/python.c:69
History
Date User Action Args
2019-03-07 00:07:04roundup-botsetmessages: + msg47459
2019-02-26 15:42:53roundup-botsetmessages: + msg47206
2019-02-26 15:42:51roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg47205
2019-02-14 13:07:48reviewbotsetnosy: + reviewbot
messages: + msg47040
2019-02-14 13:06:36cedsetstatus: in-progress -> testing
reviews: 46781002
keyword: + review
2019-02-14 13:03:42cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)